/*
 * Project name:
     Adc_on_LEDs (Demonstration on usage of the ADC library for dsPIC)
 * Copyright:
     (c) mikroElektronika, 2010.
 * Revision History:
     20100429:
       - Initial release;
 * Description:
     A simple example of using the ADC library.
     ADC results are displayed on PORTD.
 * Test configuration:
     MCU:             dsPIC24FJ96GA010
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39747e.pdf
     dev.board:       LV24-33 v6 - ac:ADC
                      http://www.mikroe.com/eng/products/view/430/lv-24-33-v6-development-system
     Oscillator:      XT, 8.00000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/en/compilers/mikroc/pro/dspic/
 * NOTES:
     - Close pot RB10 at J14, to enable ADC on channel 10 that is used in this example. (board specific)
     - On LV24-33 v6 board, you can use the built-in potentiometers P3 and P4 to
       simulate analog input signal.
     - Turn ON the PORTD LEDs at SW1. (both High and Low ones)
 */

unsigned ADCresult;
void main() {

  TRISB = 0xFFFF;            // PORTB is input
  TRISD = 0;                 // PORTD is output

  while (1) {
    ADCresult = ADC1_Read(10);  // Acqquire result of AD conversion
    PORTD  = ADCresult;         // and display it on PORTD LEDs.
  }
}