/*
 * Project name:
     Led_Blinking (The simplest simple example)
 * Copyright:
     (c) mikroElektronika, 2010.
 * Revision History:
     20100428:
       - Initial release;
 * Description:
     Simple "Hello world" example for the world of dsPIC MCUs;
 * Test configuration:
     MCU:             dsPIC24FJ96GA010
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39747e.pdf
     Dev.Board:       LV24-33 v6 - ac:LED
                      http://www.mikroe.com/eng/products/view/430/lv-24-33-v6-development-system
     Oscillator:      XT, 8.00000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/en/compilers/mikroc/pro/dspic/
 * NOTES:
     - Turn ON all PORT LEDs at SW13. (board specific)
 */

void main() {

  ADPCFG = 0xFFFF;       // Configure AN pins as digital I/O
  TRISA = 0;             // Initialize PORTA as output
  TRISB = 0;             // Initialize PORTB as output
  TRISC = 0;             // Initialize PORTC as output
  TRISD = 0;             // Initialize PORTD as output
  TRISE = 0;             // Initialize PORTE as output
  TRISF = 0;             // Initialize PORTF as output
  TRISG = 0;             // Initialize PORTG as output

  LATA = 0;              // Set PORTA to zero
  LATB = 0;              // Set PORTB to zero
  LATC = 0;              // Set PORTC to zero
  LATD = 0;              // Set PORTD to zero
  LATE = 0;              // Set PORTE to zero
  LATF = 0;              // Set PORTF to zero
  LATG = 0;              // Set PORTG to zero

  while(1) {
    LATA = ~LATA;        // Invert PORTA value
    LATB = ~LATB;        // Invert PORTB value
    LATC = ~LATC;        // Invert PORTC value
    LATD = ~LATD;        // Invert PORTD value
    LATE = ~LATE;        // Invert PORTE value
    LATF = ~LATF;        // Invert PORTF value
    LATG = ~LATG;        // Invert PORTG value
    Delay_ms(1000);
  }
}