/*
 * Project name:
     Led_Blinking (The simplest simple example)
 * Copyright:
     (c) mikroElektronika, 2010.
 * Revision History:
     20100428:
       - Initial release;
 * Description:
     Simple "Hello world" example for the world of dsPIC MCUs;
 * Test configuration:
     MCU:             dsPIC24FJ96GA010
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39747e.pdf
     Dev.Board:       LV24-33 v6 - ac:LED
                      http://www.mikroe.com/eng/products/view/430/lv-24-33-v6-development-system
     Oscillator:      XT, 8.00000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/en/compilers/mikroc/pro/dspic/
 * NOTES:
     - Turn ON all PORT LEDs at SW13. (board specific)
 */

int counter;

void wait() {
  Delay_ms(100);
}

void main() {

  ADPCFG = 0xFFFF;       // configure AN pins as digital

  TRISB = 0;             // set direction to be output
  TRISC = 0;             // set direction to be output
  TRISD = 0;             // set direction to be output
  TRISF = 0;             // set direction to be output

  LATB = 0;              // turn OFF the PORTB leds
  LATC = 0;              // turn OFF the PORTC leds
  LATD = 0;              // turn OFF the PORTD leds
  LATF = 0;              // turn OFF the PORTF leds
  while (1) {
    for (counter = 0; counter < 8; counter++){
      LATB |= 0x0101 << counter;
      LATC |= 0x0101 << counter;
      LATD |= 0x0101 << counter;
      LATF |= 0x0101 << counter;
      wait();
    }

    counter = 0;
    while (counter < 8) {
      LATB &= ~(0x0101 << counter);
      LATC &= ~(0x0101 << counter);
      LATD &= ~(0x0101 << counter);
      LATF &= ~(0x0101 << counter);
      wait();
      counter++;
    }
  }
}