/*
 * Project name:
     UART2 (Simple usage of UART1 module library functions)
 * Copyright:
     (c) mikroElektronika, 2010.
 * Revision History:
     20100429:
       - Initial release;
 * Description:
     This code demonstrates how to use UART2 library routines. Upon receiving
     data via RS232, MCU immediately sends it back to the sender.
 * Test configuration:
     MCU:             dsPIC24FJ96GA010
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39747e.pdf
     Dev.Board:       LV24-33 v6 - ac:UART
                      http://www.mikroe.com/eng/products/view/430/lv-24-33-v6-development-system
     Oscillator:      XT, 08.00000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/en/compilers/mikroc/pro/dspic/
 * NOTES:
     - Turn ON switches for RS232B at SW16 (SW16.5 and SW16.7) (board specific).
 */

char uart_rd;

void main() {

  UART2_Init(19200);              // Initialize UART module at 9600 bps
  Delay_ms(100);                  // Wait for UART module to stabilize

  UART2_Write_Text("Start");
  UART2_Write(10);
  UART2_Write(13);

  while (1) {                     // Endless loop
   if (UART2_Data_Ready()) {      // If data is received
     uart_rd = UART2_Read();      // read the received data
     UART2_Write(uart_rd);        // and send data via UART
    }
  }
}